apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "simpleapp.fullname" . }}-front
  labels:
    app.kubernetes.io/name: {{ include "simpleapp.name" . }}
    helm.sh/chart: {{ include "simpleapp.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    tier: front
spec:
  replicas: {{ .Values.frontCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "simpleapp.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
      tier: front
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "simpleapp.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
        tier: front
    spec:
      {{- if .Values.image.secrets }}
      imagePullSecrets:
{{ toYaml .Values.image.secrets | indent 10 }}
      {{- end }}
      containers:
        - name: front
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /stats
              port: http
          readinessProbe:
            httpGet:
              path: /stats
              port: http
          env:
            - name: SERVICE_NOW
              value: {{ template "simpleapp.fullname" . }}-now
            - name: SERVICE_TIMEFMT
              value:  {{ template "simpleapp.fullname" . }}-timefmt
            - name: REDIS_SERVICE_HOST
              value: {{ template "simpleapp.fullname" . }}-redis
